:root {
  --color-primary: #c153fb;
  --color-secondary: #ffab40;
  --color-teal-1: #00ebeb;
  --color-teal-2: #18b9b9;
  --color-teal-3: #0f9f9f;
  --color-teal-4: #0F8686;
}

body {
  /* background-color: #f5f5f5; */
  background-color: #ffffff;
  color: #202020;
}

img#nav-logo {
  max-width: 32px;
  margin-right: 0.5em;
}

a.nav-item.icon {
  color: #202020;
  font-size: 1.5em;
}

a.nav-item.icon:hover {
  color: var(--color-secondary);
}

button {
  cursor: pointer;
}


button.outline:hover {
  background-color: var(--color-secondary);
}

button:hover,
[type="submit"]:hover {
  background-color: var(--color-secondary);
}

button#suggest-button {
  background-color: var(--color-teal-3);
}

button#suggest-button:hover {
  background-color: var(--color-secondary);
}

h4 {
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

table {
  width: 100%;
}

td {
  padding: 0.5em;
}

td:hover {
  background-color: #eee;
}

.hidden {
  display: none;
}

/* Spacing utilities */

.ma-1 {
  margin: 1em;
}

.ma-2 {
  margin-top: 2em;
}

.ma-3 {
  margin-top: 3em;
}

.mt-1 {
  margin-top: 1em;
}

.mt-2 {
  margin-top: 2em;
}

.mt-3 {
  margin-top: 3em;
}

.mb-1 {
  margin-bottom: 1em;
}

.mb-2 {
  margin-bottom: 2em;
}

.mb-3 {
  margin-bottom: 3em;
}

.ml-1 {
  margin-left: 1em;
}

.ml-2 {
  margin-left: 2em;
}

.ml-3 {
  margin-left: 3em;
}

.mr-1 {
  margin-right: 1em;
}

.mr-2 {
  margin-right: 2em;
}

.mr-3 {
  margin-right: 3em;
}

/* Loading spinner */

.loading-spinner {
  /* display: inline-block; */
  width: 1em;
  height: 1em;
  border: 2px solid #202020;
  border-radius: 50%;
  border-top-color: transparent;
  animation: spin 0.75s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}
